MyGUI: MyGUI::WidgetStyle Struct Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions | Friends
MyGUI::WidgetStyle Struct Reference

`#include <MyGUI_WidgetStyle.h>`

## Public Types
enum | Enum { Child , Popup , Overlapped , MAX }

## Public Member Functions
| WidgetStyle ()
| WidgetStyle (Enum _value)
std::string_view | print () const
int | getValue () const

## Static Public Member Functions
static WidgetStyle | parse (std::string_view _value)

## Friends
bool | operator== (WidgetStyle const &a, WidgetStyle const &b)
bool | operator!= (WidgetStyle const &a, WidgetStyle const &b)
std::ostream & | operator<< (std::ostream &_stream, const WidgetStyle &_value)
std::istream & | operator>> (std::istream &_stream, WidgetStyle &_value)

## Detailed Description

Definition at line 18 of file MyGUI_WidgetStyle.h.

## Member Enumeration Documentation

## ◆ Enum

enum MyGUI::WidgetStyle::Enum

Enumerator
Child | child widget, cropped by parent widget borders, no overlapping (used by default for child widgets)
Popup | popup widget, have parent widget, but not cropped on its borders
Overlapped | child widget, cropped by parent widget borders, can overlap (used by default for root widgets)
MAX |

Definition at line 20 of file MyGUI_WidgetStyle.h.

## Constructor & Destructor Documentation

## ◆ WidgetStyle() [1/2]

MyGUI::WidgetStyle::WidgetStyle | ( |  | ) |
| inline

Definition at line 28 of file MyGUI_WidgetStyle.h.

## ◆ WidgetStyle() [2/2]

MyGUI::WidgetStyle::WidgetStyle | ( | Enum | _value | ) |
| inline

Definition at line 33 of file MyGUI_WidgetStyle.h.

## Member Function Documentation

## ◆ getValue()

int MyGUI::WidgetStyle::getValue | ( |  | ) | const
| inline

Definition at line 82 of file MyGUI_WidgetStyle.h.

## ◆ parse()

WidgetStyle MyGUI::WidgetStyle::parse | ( | std::string_view | _value | ) |
| inlinestatic

Definition at line 38 of file MyGUI_WidgetStyle.h.

## ◆ print()

std::string_view MyGUI::WidgetStyle::print | ( |  | ) | const
| inline

Definition at line 77 of file MyGUI_WidgetStyle.h.

## Friends And Related Symbol Documentation

## ◆ operator!=

bool operator!= | ( | WidgetStyle const & | a,
|  | WidgetStyle const & | b )
| friend

Definition at line 58 of file MyGUI_WidgetStyle.h.

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const WidgetStyle & | _value )
| friend

Definition at line 63 of file MyGUI_WidgetStyle.h.

## ◆ operator==

bool operator== | ( | WidgetStyle const & | a,
|  | WidgetStyle const & | b )
| friend

Definition at line 53 of file MyGUI_WidgetStyle.h.

## ◆ operator>>

std::istream & operator>> | ( | std::istream & | _stream,
|  | WidgetStyle & | _value )
| friend

Definition at line 69 of file MyGUI_WidgetStyle.h.

The documentation for this struct was generated from the following file:

- MyGUI_WidgetStyle.h